package com.engine.organization.service.impl;

import com.cloudstore.eccom.result.WeaResultMsg;
import com.engine.core.impl.Service;
import com.engine.organization.component.OrganizationWeaTable;
import com.engine.organization.entity.detach.vo.ManagerDetachVO;
import com.engine.organization.service.CardAccessService;
import com.engine.organization.util.HasRightUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/11/1
 * @Version V1.0
 **/
public class CardAccessServiceImpl extends Service implements CardAccessService {

    private static final String RIGHT_NAME = "CardAccess:All";

    @Override
    public Map<String, Object> tablePage() {
        Map<String, Object> resultMap = new HashMap<>();
        OrganizationWeaTable<ManagerDetachVO> table = new OrganizationWeaTable<>(user, ManagerDetachVO.class);
        String sqlWhere = " where delete_type = 0";
        table.setSqlwhere(sqlWhere);
        WeaResultMsg result = new WeaResultMsg(false);
        result.putAll(table.makeDataResult());
        result.success();
        resultMap.putAll(result.getResultMap());

        return resultMap;
    }

    @Override
    public Map<String, Object> hasRight() {
        Map<String, Object> resultMap = new HashMap<>();
        boolean hasRight = HasRightUtil.hasRight(user, RIGHT_NAME, true);
        resultMap.put("hasRight", hasRight);
        return resultMap;
    }

    @Override
    public int save(Map<String, Object> params) {
        
        return 0;
    }


}
